<script>
	import Heading from "@/components/heading.svelte"

	import { isLight } from "@/stores/static"

	export let title
</script>

<div class="filter-item" class:dark={!$isLight}>
	<Heading size="small">{title}</Heading>
	<slot />
</div>

<style lang="scss">
	.filter-item {
		width: 100%;
		padding-bottom: 1.5rem;
		border-bottom: 1px solid $gray-dark;
		transition: border-color .2s ease-in-out;
		&.dark {
			border-color: #434343;
		}

		:global(.heading) {
			margin-bottom: 1.5rem;
		}
		:global(+.filter-item) {
			margin-top: 1.5rem;
		}
	}
</style>